Skip to main content
GET
/
api
/
v1
/
audit-log
List audit events for the current organization
curl --request GET \
  --url https://api.devhelm.io/api/v1/audit-log \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "action": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "actorId": 123,
      "actorEmail": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>",
      "resourceName": "<string>",
      "metadata": {}
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

action
string
actorId
integer<int32>
resourceType
string
from
string<date-time>
to
string<date-time>
page
integer<int32>
default:0
size
integer<int32>
default:50

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null